/*Class definition: This class extends the Adversary class. It basically represents
 * the Dementor (Bad guy # 3). Remember a dementor can neither be blinded
 * nor be charmed.
 */
public class Dementors extends Adversary {
	// You can increase the power of the dementor to make them more menacing
	int attackIndex = 25;
	int defenceIndex = 20;

	public Dementors(String name, char displaySymbol, int xPos, int yPos) {
		super(name, displaySymbol, xPos, yPos);
	}
	// Returns false since you cannot cast a spell on a dementor
	@Override
	boolean getSpellCast(Move spell) {
		return false;
	}
	//Empty
	@Override
	void wakeUp() {
	}
}
